Kerbal Space Program - Bug #5909

SC9001 Science Jr. (Materials Bay) causes infinite fuel for Jet engines, in certain configurations.
11/10/2015 03:55 PM - Trixi

Status: Needs Clarification Start date: 11/10/2015
Severity: Low % Done: 0%
Assignee:

Category: Gameplay

Target version:

Version: 1.0.5 Language: English (US)
Platform: Any Mod Related: No
Expansion:

Description

i builded a plane with 4 J-404 that are connected to the main body with some fuel tanks. 4 of them were MK2 Liqued Fuel Fuselag
Short, 4 Mk2 Bicoupler and 1 Mk2 to 1.25m Adapter. Well in the main body i set a cargo bay between my first MK2 Liquid Fuel
Fuselage Short. Engine used are 4 othe J-404 "Panther". Afer flying with them at kerbin i saw that one of my Fuel tanks wasnt used.
After all other fuel tanks were empty, My engines could provide further power.

If i replaced my tail flin with a rocket engine the fuel tank mention above get emptied. And after it was emptied the "Panther" Engine
also gets off.

i think the issue is caused by the Mk2 Cargo Bay CRG-04

after replacing the engine i get same effects for J-20 "Juno" Basic JEt Engine and J-33 "Wheesley" Turbofan Engine but not with LV
909-Terrier and LV-T45 "Swivel", so assume it causes just the Jet engines.

using newest Version of KSP 1.0.5 without mods.

Related issues:
Has duplicate Kerbal Space Program - Bug #5992: Crossfeeded Tanks in Cargobay... Duplicate 11/24/2015

History

#1 - 11/10/2015 04:40 PM - RexKramer
- Status changed from New to Confirmed

- % Done changed from 0 to 10

Confirmed using the attached craft file. Not sure what's going on. I've removed the radial fuel lines, as well as the fuel line in the cargo bay, and the
bug persists.

| wasn't able to duplicate by building a vessel in the SPH, so trying to figure out which part is causing the problem.
#2 - 11/10/2015 04:48 PM - RexKramer
Ok, the parts in the cargo bay were actually clipped into the forward MK2 fuel tank, starting with the small girder section.

| removed the Materials Bay and Girder, but left everything else intact, including fuel lines, and the bug went away. So the culprit is the parts clipped
into the forward fuel tank.

I'll try to make a simpler example for further scrutiny. Certainly looks like unintended behavior.

#3 - 11/10/2015 04:48 PM - RexKramer
- Platform Any added
- Platform deleted (Windows)

#4 - 11/10/2015 05:13 PM - Trixi
- File Testplane for Fuel Flow.craft added

i've reproduced. The back fuel tank was accidently attached to the SC-9001 Science Junior and this tile is causing the issue.
build a simplier plane for testing:

#5 - 11/10/2015 05:24 PM - RexKramer
- File screenshot2.png added
- File screenshot3.png added
- File screenshot4.png added
- File screenshot5.png added
- File screenshot6.png added
- File screenshot7.png added
- File screenshot8.png added

Reproduction steps:

Build the plane in hangar, placing parts in the following order:
1. MK2 Cockpit

2. MK2 LF fuselage

3. Small Girder

4. Materials Bay

5. MK2 Cargo Bay

Next, use the offset tool to:
1. Offset Girder into the forward LF tank.
2. Offset the Cargo Bay forward to join up with the forward LF tank.

Finally, add the following:

1. Aft LF tank

2. Jet engine (Panther)

3. Air intake

4. Launch clamps if you want them

I've attached some photos of the assembly process, as it gets a little confusing.
edit- | just noticed the photos don't appear in order in the tracker report. Use the numbers next to the photos for the assembly order..

#6 - 11/10/2015 05:37 PM - Trixi

- File fuel bug in VAB.craft added

- File 2015-11-10_00013.jpg added
- File 2015-11-10_00014.jpg added
- File 2015-11-10_00015.jpg added
- File 2015-11-10_00016.jpg added
- File 2015-11-10_00017.jpg added

just more simplier steps to reproduce:

. build a new vessel in hanger or VAB

. start with a pod

. attach a fuil tank (doesn't matter which
. attach SC-9001 Science

. attach another fuel tank

. attach a jet engine

. attach an intake source

O wWN-—=O

edit all without offset or clipping parts!
#7 - 11/10/2015 06:54 PM - RexKramer

- Subject changed from Infinite Liqued fuel provided provided by one Mk2 Liquid Fuel Fuselage Short with engine J-404 "Panther" and Mk2 Cargo Bay
CRG-04 to SC9001 Science Jr. (Materials Bay) causes infinite fuel for Jet engines, in certain configurations.

Changed subject to reflect the issue better.
Issue also is present with Rapier engine, even in closed-cycle mode.

Does not seem to affect LFO engines other than the Rapier in closed-cycle.

#9 - 11/11/2015 07:50 AM - Trixi
- File 2015-11-11_00002.jpg added

Some further testing:

tried to replace the SC9001 Science Jr (Materials Bay) with some other object and couldnt reproduce
it affects all fuel tanks attached behind SC9001 Jr

if you attach an external fuel duct, bug is again removed

bug only effects if its placed between fuel tanks

#10 - 11/24/2015 09:44 PM - Squelch
- Has duplicate Bug #5992: Crossfeeded Tanks in Cargobays drop Fuel Requirements to 50% without fuel consumption added

#11 - 07/17/2016 09:39 AM - TriggerAu
- Status changed from Confirmed to Needs Clarification

- % Done changed from 10 to 0

Files

Normal plane 3.craft 207 KB 11/10/2015 Trixi
2015-11-10_00009.jpg 210 KB 11/10/2015 Trixi
2015-11-10_00012.jpg 210 KB 11/10/2015 Trixi
Testplane for Fuel Flow.craft 51.6 KB 11/10/2015 Trixi
screenshot2.png 1.38 MB 11/10/2015 RexKramer
screenshot5.png 1.36 MB 11/10/2015 RexKramer
